import type { Color } from "csstype";
export declare type ColorScheme = {
    primary: Color;
    secondary: Color;
    ternary: Color;
    quartenary: Color;
    hoverHighlight: Color;
    text: Color;
    background: Color;
    toast?: Color;
};
export declare const colorSchemes: {
    readonly default: {
        readonly primary: "#eeeeee";
        readonly secondary: "#E0E0E0";
        readonly ternary: "#F5F5F5";
        readonly quartenary: "#ededed";
        readonly hoverHighlight: "rgba(204, 216, 219, 0.5)";
        readonly text: "#404040";
        readonly background: "white";
    };
    readonly creamy: {
        readonly primary: "#ffe8d9";
        readonly secondary: "#fcdcc5";
        readonly ternary: "#fff6f0";
        readonly quartenary: "#f7ece6";
        readonly hoverHighlight: "rgba(230, 221, 202, 0.5)";
        readonly text: "#542d05";
        readonly background: "white";
    };
    readonly crimson: {
        readonly primary: "#a82039";
        readonly secondary: "#c41238";
        readonly ternary: "#db4f56";
        readonly quartenary: "#ce5f64";
        readonly hoverHighlight: "rgba(196, 141, 141, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
    readonly dark: {
        readonly primary: "#404040";
        readonly secondary: "#303030";
        readonly ternary: "#353535";
        readonly quartenary: "#383838";
        readonly hoverHighlight: "rgba(159, 160, 161, 0.5)";
        readonly text: "white";
        readonly background: "#525252";
        readonly toast: "#1f1f1f";
    };
    readonly flare: {
        readonly primary: "#e08a38";
        readonly secondary: "#e67912";
        readonly ternary: "#5e5145";
        readonly quartenary: "#665648";
        readonly hoverHighlight: "rgba(196, 141, 141, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
    readonly fuchsia: {
        readonly primary: "#de1d5a";
        readonly secondary: "#b50b41";
        readonly ternary: "#ff7da6";
        readonly quartenary: "#f2799f";
        readonly hoverHighlight: "rgba(196, 141, 141, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
    readonly grove: {
        readonly primary: "#3d9960";
        readonly secondary: "#288542";
        readonly ternary: "#72b585";
        readonly quartenary: "#65a577";
        readonly hoverHighlight: "rgba(160, 219, 171, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
    readonly "material-blue": {
        readonly primary: "#0D47A1";
        readonly secondary: "#1565C0";
        readonly ternary: "#42a5f5";
        readonly quartenary: "#409fed";
        readonly hoverHighlight: "rgba(110, 165, 196, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
    readonly sky: {
        readonly primary: "#b5e3ff";
        readonly secondary: "#a1d6f7";
        readonly ternary: "#d6f7ff";
        readonly quartenary: "#d0edf4";
        readonly hoverHighlight: "rgba(193, 202, 214, 0.5)";
        readonly text: "#022c47";
        readonly background: "white";
    };
    readonly slumber: {
        readonly primary: "#2a2f42";
        readonly secondary: "#2f3447";
        readonly ternary: "#35394d";
        readonly quartenary: "#2c3044";
        readonly hoverHighlight: "rgba(179, 162, 127, 0.5)";
        readonly text: "#ffe0b3";
        readonly background: "#38383b";
        readonly toast: "#1f1f1f";
    };
    readonly vue: {
        readonly primary: "#258a5d";
        readonly secondary: "#41B883";
        readonly ternary: "#35495E";
        readonly quartenary: "#2a3d51";
        readonly hoverHighlight: "rgba(160, 219, 171, 0.5)";
        readonly text: "white";
        readonly background: "white";
    };
};
export declare type ColorSchemeKey = keyof typeof colorSchemes;
export default colorSchemes;
